-- This file has been generated by Dungeon Editor 1.3.1

-- import standard assets
import "assets/scripts/standard_assets.lua"

-- import custom assets
import "mod_assets/scripts/items.lua"
import "mod_assets/scripts/monsters.lua"
import "mod_assets/scripts/objects.lua"
import "mod_assets/scripts/wall_sets.lua"
import "mod_assets/scripts/recipes.lua"
import "mod_assets/scripts/spells.lua"
import "mod_assets/scripts/materials.lua"
import "mod_assets/scripts/sounds.lua"
import "mod_assets/scripts/particles.lua"

----------------------------
-- import third party assets
----------------------------

-- Boulder from 'Decoration Pack 1' by Neikun
-- clean dungeon wallset by Neikun
import "mod_assets/clean_dungeon/clean_dungeon_materials.lua"
import "mod_assets/clean_dungeon/clean_dungeon_objects.lua"
import "mod_assets/clean_dungeon/clean_dungeon_wallset.lua"

-- cozy dungeons by Phitt
import "mod_assets/cozy_dungeons/materials.lua"
import "mod_assets/cozy_dungeons/objects.lua"

-- Lands of Lore gobelins by Merethif
import "mod_assets/lol_gobelins/scripts/objects.lua"
import "mod_assets/lol_gobelins/scripts/materials.lua"

-- Adventurers food supply by lord_yig
import "mod_assets/adventurers_food_supply/scripts/items_food.lua"

-- Grim bed by germanny
import "mod_assets/grim_bed/scripts/grim_bed.lua"

-- Grim round table by germanny
import "mod_assets/grim_rtable/grim_rtable.lua"

-- Organ from Mines Of Mala Vael by Phitt
import "mod_assets/mines/scripts/materials.lua"
import "mod_assets/mines/scripts/objects.lua"

-- Deep dungeon by Daniv
import "mod_assets/deep_dungeon/scripts/deep_dungeon_wall_set.lua"

-- Corrupt wallset by Asteroth
import "mod_assets/corrupt/scripts/materials.lua"
import "mod_assets/corrupt/scripts/objects.lua"
import "mod_assets/corrupt/scripts/wall_sets.lua"

-- grim_vsword by germanny
import "mod_assets/grim_vsword/dm_food.lua"
import "mod_assets/grim_vsword/dm_weapons.lua"

-- Isguardian by Neikun
import "mod_assets/scripts/isgardian_particles.lua"

-- Jungle ogre by Merethif
import "mod_assets/jungle_monsters/scripts/monsters.lua"
import "mod_assets/jungle_monsters/scripts/materials.lua"

-- Water texture by Skuggasveinn
-- Seemless Dirt Ground Texture by hhh316


----------------
-- Own scripting
----------------
import "mod_assets/particles/wisp_of_light.lua"
import "mod_assets/dancing_ogre/scripts/monsters.lua"
import "mod_assets/dancing_ogre/scripts/sounds.lua"

cloneObject{
	name = "party",
	baseObject = "party",

	onDrawGui = function(ctx)
		scriptLevel2:draw(ctx)
		neatSpells.draw(ctx)
		neatDialog.draw(ctx)
		scriptAtmo.draw(ctx)
		endScript.draw(ctx)
	end,
	
	onDrawInventory = function(ctx)
		neatInventory.draw(ctx)
	end,
	
	onDrawStats = function (ctx)
		neatStats.draw(ctx)
	end,
	
	onDrawSkills = function(ctx)
		neatSkills.draw(ctx)
	end,

	onMove = function(self, dir)
		return gs.canMove == 1
	end,
	
	onReceiveCondition = function(who, type, amount)
		print("Condition type "..type)
	end,

	onDamage = function(who, amount, type)
		if type == "fire" and neatSpells.hasBuff(5) then
			return false
		end
		if type == "fire" and neatSpells.hasBuff(1) then
			neatSpells.removeBuff(1)
			if neatSpells.hasBuff(5) == false then 
				neatSpells.addBuff(5)
			end
			t = spawn("timer", party.level, 1, 1 ,1)
			t:addConnector("activate", "scriptReflectFire", "doReflectFire")
			t:setTimerInterval(2)
			t:activate()
			return false
		end
		return true
	end,

	onProjectileHit = function(who, what)
		if what.name == 'bolt_of_healing' then
			party:getChampion(1):modifyStat("health", 10)
			playSound("heal_party")
			return false
		else
			print("projectile hit: "..what.name)
		end
		return true
	end
}
