defineParticleSystem{
	name = "isgardian_effects",
	emitters = {
		-- fog
		{
			emissionRate = 3,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {-0.1, -1, -0.08},
			boxMax = { 0.1, 0.5, 0.08},
			sprayAngle = {0,360},
			velocity = {0.02,0.04},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {3,3},
			color0 = {0.5, 0.64, 0.9},
			opacity = 0.7,
			fadeIn = 2.2,
			fadeOut = 2.2,
			size = {1.2, 1.5},
			gravity = {0,-0.3,0},
			airResistance = 0.1,
			rotationSpeed = 0.3,
			blendMode = "Additive",
		},

		-- stars
		{
			emissionRate = 20,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {-0.5, -1, -0.3},
			boxMax = { 0.5, 0.5, 0.3},
			sprayAngle = {0,360},
			velocity = {0.2,0.2},
			objectSpace = false,
			texture = "assets/textures/particles/teleporter.tga",
			lifetime = {100,100},
			color0 = {0.5, 0.5, 0.7},
			opacity = 7,
			fadeIn = 0.1,
			fadeOut = 0.1,
			size = {0.05, 0.13},
			gravity = {0,-0.2,0.1},
			airResistance = 0.1,
			rotationSpeed = 2,
			blendMode = "Additive",
		}
	}
}

defineParticleSystem{
	name = "hit_ice",
	emitters = {
		{
			spawnBurst = true,
			maxParticles = 200,
			sprayAngle = {0,40},
			velocity = {1,4.5},
			objectSpace = false,
			texture = "mod_assets/textures/isgardian_textures/ice_particle.tga",
			frameRate = 40,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.7,1.5},
			colorAnimation = false,
			color0 = {2.0, 2.0, 2.0},
			color1 = {1.0, 1.0, 1.0},
			color2 = {1.0, 0.5, 0.25},
			color3 = {1.0, 0.3, 0.1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.05, 0.17},
			gravity = {0,-10,0},
			airResistance = 0.1,
			rotationSpeed = 2,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},

		{
			spawnBurst = true,
			maxParticles = 30,
			sprayAngle = {0,360},
			velocity = {1,4},
			objectSpace = false,
			texture = "mod_assets/textures/isgardian_textures/ice_particle.tga",
			frameRate = 30,
			frameSize = 32,
			frameCount = 40,
			lifetime = {0.3,0.5},
			color0 = {1, 1, 1},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.3,
			size = {0.2, 0.4},
			gravity = {0,0,0},
			airResistance = 10,
			rotationSpeed = 2,
			blendMode = "Additive",
			clampToGroundPlane = true,
		},

		-- glow
		{
			spawnBurst = true,
			emissionRate = 1,
			emissionTime = 0,
			maxParticles = 1,
			boxMin = {0,0,-0.1},
			boxMax = {0,0,-0.1},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/glow.tga",
			lifetime = {0.5, 0.5},
			colorAnimation = false,
			color0 = {1.5, 1.5, 1.5},
			opacity = 0.6,
			fadeIn = 0.01,
			fadeOut = 0.5,
			size = {1.2, 1.2},
			gravity = {0,0,0},
			airResistance = 1,
			rotationSpeed = 2,
			blendMode = "Additive",
		}
	}
}
