defineParticleSystem{
	name = "fountain",
	emitters = {
		-- fog
		{
			emissionRate = 10,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {-0.75, 0.0,-0.75},
			boxMax = { 0.75, 1.0, 0.75},
			sprayAngle = {0,360},
			velocity = {0.1,0.2},
			objectSpace = true,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {3,3},
			color0 = {0.152941, 0.352941, 0.803922},
			opacity = 1,
			fadeIn = 2.2,
			fadeOut = 2.2,
			size = {1.5, 1.5},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.3,
			blendMode = "Additive",
		},

		-- stars
		{
			emissionRate = 200,
			emissionTime = 0,
			maxParticles = 1000,
			boxMin = {-0.1, 0.75,-0.1},
			boxMax = { 0.1, 0.75, 0.1},
			sprayAngle = {0, 90},
			--sprayAngle = {0, 360},
			velocity = {0.9,1.1},
			objectSpace = true,
			texture = "assets/textures/particles/teleporter.tga",
			lifetime = {1,999999},
			color0 = {1.0,1.0,1.0},
			opacity = 1,
			fadeIn = 0.1,
			fadeOut = 0.1,
			size = {0.05, 0.3},
			--size = {0.05, 0.13},
			gravity = {0,-1,0},
			airResistance = 0.1,
			rotationSpeed = 2,
			blendMode = "Additive",
		},
		
		-- Water
			{
			emissionRate = 2,
			emissionTime = 10,
			maxParticles = 1000,
			boxMin = {-0.75,  0.25,-0.75},
			boxMax = { 0.75,  0.25, 0.75},
			sprayAngle = {180, 360},
			sprayAngle = {180, 360},
			velocity = {0.1,0.1},
			objectSpace = false,
			texture = "assets/textures/particles/fog.tga",
			lifetime = {3,3},
			color0 = {1.0,1.0,1.0},
			opacity = 0.75,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.4, 0.75},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.3,
			blendMode = "Additive",
		},
	}
}

defineParticleSystem{
	name = "fog_low",
	emitters = {
		{
			emissionRate = 2,
			emissionTime = 10,
			maxParticles = 1000,
			boxMin = {-0.5,  0.0,-0.5},
			boxMax = { 0.5,  0.0, 0.5},
			sprayAngle = {180, 360},
			sprayAngle = {180, 360},
			velocity = {0.1,0.1},
			objectSpace = false,
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {8,10},
			color0 = {0.8, 0.8, 0.9},
			opacity = 0.75,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {1.4, 1.75},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "fog_low_long",
	emitters = {
		{
			emissionRate = 2,
			emissionTime = 10,
			maxParticles = 100,
			boxMin = {-0.5,  -0.5,-0.5},
			boxMax = { 0.5,  -0.5, 0.5},
			sprayAngle = {180, 360},
			sprayAngle = {180, 360},
			velocity = {0.1,0.1},
			objectSpace = false,
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {8,9999999999},
			color0 = {0.8, 0.8, 0.9},
			opacity = 0.75,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {1.4, 1.75},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.1,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "toxic",
	emitters = {
		-- smoke
		{
			emissionRate = 5,
			emissionTime = 0,
			maxParticles = 50,
			boxMin = {-0.03, 0.1, -0.03},
			boxMax = { 0.03, 0.1,  0.03},
			sprayAngle = {0,30},
			velocity = {0.1,0.5},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {1,1.25},
			color0 = {0.1, 0.2, 0.1},
			opacity = 0.6,
			fadeIn = 0.5,
			fadeOut = 0.5,
			size = {0.3, 0.6},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.6,
			blendMode = "Translucent",
			objectSpace = false,
		},
		
		-- fog
		{
			emissionRate = 1.5,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-6, 0.1, -6},
			boxMax = { 6, 0.1,  6},
			sprayAngle = {0,30},
			velocity = {0,0},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {10,20},
			color0 = {0.5, 0.75, 0.5},
			opacity = 0.2,
			fadeIn = 9,
			fadeOut = 9,
			size = {4, 8},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.05,
			blendMode = "Translucent",
			objectSpace = false,
		}
	}
}

defineParticleSystem{
   name = "uggardian_fire",
   emitters = {
      -- flames
      {
         emissionRate = 100,
         emissionTime = 0,
         maxParticles = 250,
         boxMin = {-0.5, -0.1, -0.1},
         boxMax = { 0.5, 0.1,  0.15},
         sprayAngle = {0,360},
         velocity = {0.1, 0.1},
         texture = "assets/textures/particles/torch_flame.tga",
         frameRate = 35,
         frameSize = 64,
         frameCount = 16,
         lifetime = {1.2, 1.2},
         colorAnimation = true,
         color0 = {2, 2, 2},
         color1 = {1.0, 1.0, 1.0},
         color2 = {1.0, 0.5, 0.25},
         color3 = {1.0, 0.3, 0.1},
         opacity = 1,
         fadeIn = 0.15,
         fadeOut = 0.3,
         size = {0.25, 0.35},
         gravity = {0, 0.75, 0},
         airResistance = 0.5,
         rotationSpeed = 0.5,
         blendMode = "Additive",
         },
      {
         emissionRate = 100,
         emissionTime = 0,
         maxParticles = 250,
         boxMin = {-0.2, -0.15, 0.2},
         boxMax = { 0.3, 0.15,  -0.2},
         sprayAngle = {0,360},
         velocity = {0.1, 0.1},
         texture = "assets/textures/particles/torch_flame.tga",
         frameRate = 35,
         frameSize = 64,
         frameCount = 16,
         lifetime = {1.2, 1.2},
         colorAnimation = true,
         color0 = {2, 2, 2},
         color1 = {1.0, 1.0, 1.0},
         color2 = {1.0, 0.5, 0.25},
         color3 = {1.0, 0.3, 0.1},
         opacity = 1,
         fadeIn = 0.15,
         fadeOut = 0.3,
         size = {0.25, 0.35},
         gravity = {0, 0.7, 0},
         airResistance = 0.5,
         rotationSpeed = 0.5,
         blendMode = "Additive",
         },
      {
         emissionRate = 100,
         emissionTime = 0,
         maxParticles = 250,
         boxMin = { 0.3, -0.3, 0.15},
         boxMax = { 0.3, 0.3,  -0.15},
         sprayAngle = {0,360},
         velocity = {0.1, 0.1},
         texture = "assets/textures/particles/torch_flame.tga",
         frameRate = 35,
         frameSize = 64,
         frameCount = 16,
         lifetime = {1.2, 1.2},
         colorAnimation = true,
         color0 = {2, 2, 2},
         color1 = {1.0, 1.0, 1.0},
         color2 = {1.0, 0.5, 0.25},
         color3 = {1.0, 0.3, 0.1},
         opacity = 1,
         fadeIn = 0.15,
         fadeOut = 0.3,
         size = {0.25, 0.35},
         gravity = {0, 0.65, 0},
         airResistance = 0.5,
         rotationSpeed = 0.5,
         blendMode = "Additive",
         },
      -- flame trail
      {
         emissionRate = 80,
         emissionTime = 0,
         maxParticles = 150,
         boxMin = {0.0, 0.0, 0.0},
         boxMax = {0.0, 0.0, 0.0},
         sprayAngle = {0,360},
         velocity = {0.1, 0.3},
         texture = "assets/textures/particles/torch_flame.tga",
         frameRate = 35,
         frameSize = 64,
         frameCount = 16,
         lifetime = {0.2, 0.3},
         colorAnimation = true,
         color0 = {2, 2, 2},
         color1 = {1.0, 1.0, 1.0},
         color2 = {1.0, 0.5, 0.25},
         color3 = {1.0, 0.3, 0.1},
         opacity = 1,
         fadeIn = 0.15,
         fadeOut = 0.3,
         size = {0.2, 0.5},
         gravity = {0, 0.75, 0},
         airResistance = 0.5,
         rotationSpeed = 1,
         blendMode = "Additive",
         }		
      }
   }

   
defineParticleSystem{
	name = "dragon_smoke_north",
	emitters = {
		-- fog
		{
			emissionRate = 8,
			emissionTime = 10,
			maxParticles = 100,
			boxMin = { 0,  1.5, 2},
			boxMax = { 0,  1.5, 2},
			sprayAngle = {85, 95},
			velocity = {0.1, 0.3},
			objectSpace = true,
			texture = "assets/textures/particles/particle.tga",
			lifetime = {2, 3},
			color0 = {0.15, 0.15, 0.20},
			opacity = 0.1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.4, 0.6},
			gravity = {0,0.05,-0.75},
			airResistance = 0.1,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "dragon_smoke_south",
	emitters = {
		-- fog
		{
			emissionRate = 8,
			emissionTime = 10,
			maxParticles = 100,
			boxMin = { 0,  1.5, -2},
			boxMax = { 0,  1.5, -2},
			sprayAngle = {85, 95},
			velocity = {0.1, 0.3},
			objectSpace = true,
			texture = "assets/textures/particles/particle.tga",
			lifetime = {2, 3},
			color0 = {0.15, 0.15, 0.20},
			opacity = 0.1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.4, 0.6},
			gravity = {0,0.05,0.75},
			airResistance = 0.1,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "dragon_smoke_east",
	emitters = {
		-- fog
		{
			emissionRate = 8,
			emissionTime = 10,
			maxParticles = 100,
			boxMin = { 2,  1.5, 0},
			boxMax = { 2,  1.5, 0},
			sprayAngle = {85, 95},
			velocity = {0.1, 0.3},
			objectSpace = true,
			texture = "assets/textures/particles/particle.tga",
			lifetime = {2, 3},
			color0 = {0.15, 0.15, 0.20},
			opacity = 0.1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.4, 0.6},
			gravity = {-0.75,0.05,0},
			airResistance = 0.1,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem{
	name = "dragon_smoke_west",
	emitters = {
		-- fog
		{
			emissionRate = 8,
			emissionTime = 10,
			maxParticles = 100,
			boxMin = { -2,  1.5, 0},
			boxMax = { -2,  1.5, 0},
			sprayAngle = {85, 95},
			velocity = {0.1, 0.3},
			objectSpace = true,
			texture = "assets/textures/particles/particle.tga",
			lifetime = {2, 3},
			color0 = {0.15, 0.15, 0.20},
			opacity = 0.1,
			fadeIn = 0.1,
			fadeOut = 0.9,
			size = {0.4, 0.6},
			gravity = {0.75,0.05,0},
			airResistance = 0.1,
			rotationSpeed = 0.2,
			blendMode = "Translucent",
		},
	}
}

defineParticleSystem {
	name = "city_fog",
	emitters = {     
		-- fog
		{
			emissionRate = 1.5,
			emissionTime = 0,
			maxParticles = 100,
			boxMin = {-6, 0, -3},
			boxMax = { 6, 0,  3},
			sprayAngle = {0,180},
			velocity = {0,0},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {10,20},
			color0 = {2.55, 2.55, 2.55},
			opacity = 0.2,
			fadeIn = 9,
			fadeOut = 9,
			size = {4, 12},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.05,
			blendMode = "Translucent",
			objectSpace = false,
		}
	}
}

defineParticleSystem {
	name = "city_clouds",
	emitters = {     
		-- fog
		{
			emissionRate = 15,
			emissionTime = 0,
			maxParticles = 500,
			boxMin = {-25, -1, -25},
			boxMax = { 25,  1,  25},
			sprayAngle = {0,180},
			velocity = {0,0},
			texture = "assets/textures/particles/smoke_01.tga",
			lifetime = {10,20},
			color0 = {2, 2, 2.55},
			opacity = 0.2,
			fadeIn = 9,
			fadeOut = 9,
			size = {4, 12},
			gravity = {0,0,0},
			airResistance = 0.1,
			rotationSpeed = 0.05,
			blendMode = "Translucent",
			objectSpace = false,
		}
	}
}
