-- This file has been generated by Dungeon Editor 1.3.1

defineSpell{
	name = "axe_whirlwind",
	uiName = "Whirlwind axe attack",
	skill = "spellcraft",
	level = 0,
	attackPower = 10,
	wandPower = 10;
	manaCost = 0,
	onCast = function()
		if wwTimesUsed:getValue() < 4 then
			for offsetX = -1, 1 do
				for offsetY = -1, 1 do
					if offsetX ~= 0 or offsetY ~= 0 then
						for i in entitiesAt(party.level, party.x + offsetX, party.y + offsetY) do
							if (i.name == "barrel_whirlwind") then						
								damageTile(party.level, party.x + offsetX, party.y + offsetY, party.facing, 64, "physical", 1000)
							end
						end
					end
				end
			end
			wwTimesUsed:increment()
		else
			hudPrint("- You already used the axe four times. Bring it to Daniv to see how you did -")
		end
	end,
}

defineSpell{
	name = "axe_whirlwind_earth",
	uiName = "Whirlwind Axe of Earth attack",
	skill = "spellcraft",
	level = 0,
	attackPower = 10,
	wandPower = 10;
	manaCost = 0,
	onCast = function()
		axeScript.hit()
	end,
}

defineSpell{
	name = "spell_light_lantern",
	uiName = "Light lantern",
	skill = "spellcraft",
	level = 1,
	runes = "A",
	manaCost = 33,
	onCast = function()
		local done = false
		for i in entitiesAt(party.level, party.x, party.y) do
			if (i.name == "lantern_torch_holder") then
				if i:hasTorch() == false then
					i:addTorch()
					done = true
				end
			end
		end
		if not done then
			gs.flash()
		end
		return false
	end
}

defineSpell{
	name = "spell_annul_enchantment",
	uiName = "Annul enchantment",
	skill = "spellcraft",
	level = 1,
	runes = "E",
	manaCost = 5,
	onCast = function(champion)
		local b = gs.swapItem("staff_of_pushing_statues_back", "staff_unenchanted", champion:getOrdinal())
		b = b or gs.swapItem("staff_of_crossing_gaps", "staff_unenchanted", champion:getOrdinal())
		b = b or gs.swapItem("staff_of_freezing", "staff_unenchanted", champion:getOrdinal())
		b = b or gs.swapItem("staff_of_deflect_fireball", "staff_unenchanted", champion:getOrdinal())
		if b then
			playSound("goromorg_shield_hit")
			hudPrint("The staff releases its energy to the air.")
		else
			hudPrint("- There is no enchantment to annul -")
		end
		return false
	end,
}

defineSpell{
	name = "spell_enchantment_cross_gap",
	uiName = "Enchantment: Cross Gap",
	skill = "spellcraft",
	level = 1,
	runes = "CDE",
	manaCost = 15,
	onCast = function(champion)
		local b = gs.swapItem("staff_unenchanted", "staff_of_crossing_gaps", champion:getOrdinal())
		if b then
			playSound("discover_spell")
			hudPrint("- You succesfully enchanted your staff -")
		else
			hudPrint("- There is no item to enchantment -")
		end
		return false
	end,
}

defineSpell{
	name = "spell_enchantment_deflect_fireball",
	uiName = "Enchantment: Deflect Fireball",
	skill = "spellcraft",
	level = 1,
	runes = "ACDE",
	manaCost = 15,
	onCast = function(champion)
		local b = gs.swapItem("staff_unenchanted", "staff_of_deflect_fireball", champion:getOrdinal())
		if b then
			playSound("discover_spell")
			hudPrint("- You succesfully enchanted your staff -")
		else
			hudPrint("- There is no item to enchantment -")
		end
		return false
	end,
}

defineSpell{
	name = "spell_enchantment_freeze",
	uiName = "Enchantment: Freeze",
	skill = "spellcraft",
	level = 1,
	runes = "DEI",
	manaCost = 15,
	onCast = function(champion)
		local b = gs.swapItem("staff_unenchanted", "staff_of_freezing", champion:getOrdinal())
		if b then
			playSound("discover_spell")
			hudPrint("- You succesfully enchanted your staff -")
		else
			hudPrint("- There is no item to enchantment -")
		end
		return false
	end,
}

defineSpell{
	name = "spell_enchantment_push_statue",
	uiName = "Enchantment: Push Statue Back",
	skill = "spellcraft",
	level = 1,
	runes = "CDEH",
	manaCost = 15,
	onCast = function(champion)
		local b = gs.swapItem("staff_unenchanted", "staff_of_pushing_statues_back", champion:getOrdinal())
		if b then
			playSound("discover_spell")
			hudPrint("- You succesfully enchanted your staff -")
		else
			hudPrint("- There is no item to enchantment -")
		end
		return false
	end,
}

defineSpell{
	name = "freeze",
	uiName = "Freeze",
	skill = "spellcraft",
	level = 1,
	manaCost = 15,
	onCast = function()
		local dx, dy = getForward(party.facing)
		local c = spawn("spawner", party.level, party.x+dx, party.y+dy, party.facing)
		c:setSpawnedEntity("freezebolt")
		c:activate()
		return false
	end,
}

defineSpell{
	name = "deflect_fireball",
	uiName = "deflect_fireball",
	skill = "spellcraft",
	level = 1,
	manaCost = 15,
	onCast = function()
		if neatSpells.hasBuff(1) == false and neatSpells.hasBuff(5) == false then
			neatSpells.addBuff(1)
			playSound("heal_party")
		else
			playSound("swipe")
		end
		return false
	end,
}

defineSpell{
	name = "push_statue_back",
	uiName = "Push statue back",
	skill = "spellcraft",
	level = 0,
	manaCost = 0,
	onCast = function(c, x, y, d)
		local dx,dy = getForward(party.facing)
		local statue = nil
		for i in entitiesAt(party.level, party.x+dx, party.y+dy) do
			if i.name == "dragon_statue" then
				statue = i
			end
		end
		if statue == nil then
			playSound("swipe")
		else
			local toX = party.x+dx+dx
			local toY = party.y+dy+dy
			if party.facing == statue.facing then
				local c = 0
				for i in entitiesAt(party.level, toX, toY) do
					if (i.name == "dragon_statue") then c = c + 1 end
				end
				local d = 0
				for i in entitiesAt(party.level, toX, toY) do
					if (i.name == "statue_move_area") then d = d + 1 end
				end
				if c == 0 and d > 0 then
					playSound("pit_close")
					statue:destroy()
					spawn("dragon_statue", party.level, toX, toY, party.facing)
				else
					playSound("swipe")
				end
			else
				playSound("swipe")
			end
		end
	end,
}

defineSpell{
	name = "cross_gap",
	uiName = "Cross gap",
	skill = "spellcraft",
	level = 0,
	manaCost = 0,
	onCast = function(c, x, y, d)
		local dx,dy = getForward(party.facing)
		local hasGap = false
		local teleport = false
		local toX = party.x+dx+dx
		local toY = party.y+dy+dy
		local level = party.level
		for i in entitiesAt(level, party.x+dx, party.y+dy) do
			if string.find(i.name, "pit") ~= nil then
				hasGap = true
			end
		end

		-- You can't jump over a floating tile
		for i in entitiesAt(level, party.x+dx, party.y+dy) do
			if i.name == "floating_tile" then
				hasGap = false
			end
		end
		
		-- Check for monster or closed door
		if gs.tileContainsClosedDoor(level, party.x + dx, party.y + dy, (party.facing + 2) % 4) then hasGap = false end
		if gs.tileContainsClosedDoor(level, party.x, party.y, party.facing) then hasGap = false end

		-- Check if the current block is a gap (and open). Then you're falling and shouldn't use it again
		for i in entitiesAt(level, party.x, party.y) do
			if string.find(i.name, "pit") ~= nil then
				if i:isOpen() then
					hasGap = false
				end
			end
		end
		
		
		if hasGap then
			local c = 0
			for i in entitiesAt(level, toX, toY) do
				if string.find(i.name, "table") ~= nil then c = c + 1 end
				if i.class == "Monster" then c = c + 1 end
				if i.class == "Monster" and gs.tileContainsMonster(level, party.x + dx, party.y + dy) then c = -100 end
				if i.class == "Blockage" then c = c + 1 end
			end
			if isWall(level, toX, toY) then c = c + 1 end
			if gs.tileContainsClosedDoor(level, toX, toY, (party.facing + 2) % 4) then c = c + 1 end
			if gs.tileContainsClosedDoor(level, party.x + dx, party.y + dy, party.facing) then c = c + 1 end
			if c > 0 then
				toX = party.x + dx
				toY = party.y + dy
				teleport = true
			elseif c == 0 then
				teleport = true
			else
				teleport = false
			end
		end
		if teleport and isWall(level, toX, toY) then teleport = false end
		if teleport then			
			playSound("teleport")
			party:playScreenEffect("teleport_screen")
			party:setPosition(toX, toY, party.facing, level)
		else
			playSound("swipe")
		end
	end,
}

defineSpell{
	name = "spell_shift_planes",
	uiName = "Shift Planes",
	skill = "spellcraft",
	level = 1,
	runes = "DF",
	manaCost = 50,
	onCast = function()
		epicScript.moveDown()
	end
}

defineSpell{
	name = "spell_absorb_energy",
	uiName = "Absorb Energy",
	skill = "spellcraft",
	level = 1,
	runes = "BDF",
	manaCost = 5,
	onCast = function()
		absorbHomeScript.absorb()
	end
}

defineSpell{
	name = "spell_tomtom",
	uiName = "The Omnious Mystic Traveller Of Magic",
	skill = "spellcraft",
	level = 1,
	runes = "DEFH",
	manaCost = 900,
	onCast = function()
		absorbHomeScript.home()
	end
}
